#
# spec file for package appframework
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           appframework
Version:        1.03
Release:        27.17
Summary:        Swing Application Framework
License:        LGPL-2.0+
Group:          Development/Libraries/Java
Url:            https://appframework.dev.java.net/
Source0:        https://appframework.dev.java.net/downloads/AppFramework-%{version}-src.tar.bz2
Patch0:         %{name}-%{version}-no-local-storage.diff
Patch1:         %{name}-%{version}-openjdk.diff
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  java-devel
BuildRequires:  javapackages-tools
BuildRequires:  swing-layout >= 1.0.3
Requires:       java
Requires:       javapackages-tools
Requires:       swing-layout >= 1.0.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
The JSR-296 Swing Application Framework prototype implementation is a
small set of Java classes that simplify building desktop applications.

%package javadoc
Summary:        Swing Application Framework
Group:          Development/Libraries/Java

%description javadoc
The JSR-296 Swing Application Framework prototype implementation is a
small set of Java classes that simplify building desktop applications.

%prep
%setup -q -n AppFramework-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
%patch0 -b .sav
%patch1 -p1 -b .sav

%build
%{ant} -Dlibs.swing-layout.classpath=%{_javadir}/swing-layout.jar dist

%install
# jar
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 dist/AppFramework-1.03.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}

%files
%defattr(-,root,root,-)
%{_javadir}/*
%doc COPYING README

%files javadoc
%defattr(-,root,root,-)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*

%changelog
* Tue Jul  8 2014 tchvatal@suse.com
- Do not depend on ant-nodeps.
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Tue May 19 2009 mvyskocil@suse.cz
- 'Initial SUSE packaging (From Fedora 11)'
